Bug 495431 - ibus Release modifier doesn't work with Alt
Summary: ibus Release modifier doesn't work with Alt
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peng Huang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F11Target 481098 494445
TreeView+ depends on / blocked
 
Reported: 2009-04-13 04:11 UTC by Warren Togami
Modified: 2009-04-15 00:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-15 00:11:27 UTC


Attachments (Terms of Use)

Description Warren Togami 2009-04-13 04:11:20 UTC
ibus-hangul Bug 494445 requires a hotkey of "press the right Alt button and release it without hitting other buttons simultaneously" to switch between Hangul and English input modes.  Implementing a mode in ibus-hangul would take too much time before Fedora 11, so we agreed to add a temporary workaround making right-Alt a global trigger hotkey in ibus instead.

Unfortunately, it seems it doesn't work properly.

* Alt_R by itself works, which triggers upon any (release?) event.  Unfortunately, it also triggers when you don't want it, like Alt_R+F in gedit.
* Release+Alt_R is supposed to work to isolate it as press-and-release hotkey, except it doesn't.  According to phuang other keys work in this manner with ibus, but not Alt.

In any case, both the proper fix for ibus-hangul and the ibus global trigger workaround require Alt + Release isolation to be fixed.

This is a F11Blocker, unless we decide that Bug 494445 cannot be fixed before F-11.

Comment 1 Warren Togami 2009-04-14 05:14:13 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=494445#c4
phuang wrote more on this topic here.

In response I wonder, how does SCIM not have this issue?

Comment 2 Jens Petersen 2009-04-14 05:37:23 UTC
Moving to Target list since this is a bit tricky.

Comment 3 Peng Huang 2009-04-15 00:11:27 UTC
(In reply to comment #1)
> https://bugzilla.redhat.com/show_bug.cgi?id=494445#c4
> phuang wrote more on this topic here.
> 
> In response I wonder, how does SCIM not have this issue?  
Checked code again. Found a problem in im module. Fixed in ibus-1_1_0_20090413-3_fc11


Note You need to log in before you can comment on or make changes to this bug.